package com.jsowell.pile.service;

import com.jsowell.pile.domain.WxpayCallbackRecord;

import java.util.List;

public interface WxpayCallbackRecordService {
	int deleteByPrimaryKey(Integer id);

	int insert(WxpayCallbackRecord record);

	int insertSelective(WxpayCallbackRecord record);

	WxpayCallbackRecord selectByPrimaryKey(Integer id);

	int updateByPrimaryKeySelective(WxpayCallbackRecord record);

	int updateByPrimaryKey(WxpayCallbackRecord record);

	WxpayCallbackRecord selectByOrderCode(String orderCode);

	/**
	 * 通过微信商户订单号查询
	 * @param outTradeNo
	 * @return
	 */
	WxpayCallbackRecord selectByOutTradeNo(String outTradeNo);

	/**
	 * 根据memberId查询最近一年的余额充值记录
	 * queryTheBalanceTopUpRecordOfTheLatestYear
	 */
	List<WxpayCallbackRecord> queryBalanceRechargeRecordOfTheLatestYear(String memberId);
}
